Package org.eclipse.mat.query

## Interface IContextObject

All Known Subinterfaces:
  `IContextObjectSet`

    public interface IContextObject

Interface to describe the heap objects.

Rows in tables or tree represent a set of objects. Using a `ContextProvider`, the Memory Analyzer determines the object set associated with a row and is able to execute other queries on this set.

If a row represents more than one object, use `IContextObjectSet`. *

See Also:
  `ContextProvider`, `IContextObjectSet`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getObjectId()` Context for a single row.

### Method Detail

#### getObjectId

    int getObjectId()

Context for a single row.

Returns:
  the object id.